fitness  v1
Public Member Functions | List of all members
google_fitness_api::UsersResource_SessionsResource_DeleteMethod Class Reference

#include <fitness_service.h>

Inheritance diagram for google_fitness_api::UsersResource_SessionsResource_DeleteMethod:
google_fitness_api::FitnessServiceBaseRequest

Public Member Functions

 UsersResource_SessionsResource_DeleteMethod (const FitnessService *_service_, client::AuthorizationCredential *_credential_, const absl::string_view &user_id, const absl::string_view &session_id)
 
virtual ~UsersResource_SessionsResource_DeleteMethod ()
 
void clear_current_time_millis ()
 
int64 get_current_time_millis () const
 
void set_current_time_millis (int64 value)
 
virtual util::Status AppendVariable (const StringPiece &variable_name, const client::UriTemplateConfig &config, string *target)
 
virtual util::Status AppendOptionalQueryParameters (string *target)
 
- Public Member Functions inherited from google_fitness_api::FitnessServiceBaseRequest
 FitnessServiceBaseRequest (const client::ClientService *service, client::AuthorizationCredential *credential, client::HttpRequest::HttpMethod method, const StringPiece &uri_template)
 
virtual ~FitnessServiceBaseRequest ()
 
void clear_alt ()
 
const string & get_alt () const
 
string * mutable_alt ()
 
void set_alt (const string &value)
 
void clear_fields ()
 
const string & get_fields () const
 
string * mutable_fields ()
 
void set_fields (const string &value)
 
void clear_key ()
 
const string & get_key () const
 
string * mutable_key ()
 
void set_key (const string &value)
 
void clear_oauth_token ()
 
const string & get_oauth_token () const
 
string * mutable_oauthToken ()
 
void set_oauth_token (const string &value)
 
void clear_pretty_print ()
 
bool get_pretty_print () const
 
void set_pretty_print (bool value)
 
void clear_quota_user ()
 
const string & get_quota_user () const
 
string * mutable_quotaUser ()
 
void set_quota_user (const string &value)
 
void clear_user_ip ()
 
const string & get_user_ip () const
 
string * mutable_userIp ()
 
void set_user_ip (const string &value)
 

Additional Inherited Members

- Protected Member Functions inherited from google_fitness_api::FitnessServiceBaseRequest
void AddJsonContentToRequest (const client::JsonCppData *content)
 

Detailed Description

Implements the delete method.

This class uses the Command Pattern. Construct an instance with the required parameters, then set any additional optional parameters by using the attribute setters. To invoke the method, call Execute.

One or more of these authorization scopes are required for this method: https://www.googleapis.com/auth/fitness.activity.write

Constructor & Destructor Documentation

◆ UsersResource_SessionsResource_DeleteMethod()

google_fitness_api::UsersResource_SessionsResource_DeleteMethod::UsersResource_SessionsResource_DeleteMethod ( const FitnessService _service_,
client::AuthorizationCredential *  _credential_,
const absl::string_view &  user_id,
const absl::string_view &  session_id 
)

The standard constructor takes all the required method parameters.

Parameters
[in]<em>service</em>The service instance to send to when executed.
[in]<em>credential</em>If not NULL, the credential to authorize with. In practice this is supplied by the user code that is creating the method instance.
[in]user_idDelete a session for the person identified. Use me to indicate the authenticated user. Only me is supported at this time.
[in]session_idThe ID of the session to be deleted.

◆ ~UsersResource_SessionsResource_DeleteMethod()

google_fitness_api::UsersResource_SessionsResource_DeleteMethod::~UsersResource_SessionsResource_DeleteMethod ( )
virtual

Standard destructor.

Member Function Documentation

◆ AppendOptionalQueryParameters()

util::Status google_fitness_api::UsersResource_SessionsResource_DeleteMethod::AppendOptionalQueryParameters ( string *  target)
virtual

Appends the optional query parameters to the target URL.

Parameters
[in,out]targetThe URL string to append to.

Reimplemented from google_fitness_api::FitnessServiceBaseRequest.

◆ AppendVariable()

util::Status google_fitness_api::UsersResource_SessionsResource_DeleteMethod::AppendVariable ( const StringPiece &  variable_name,
const client::UriTemplateConfig &  config,
string *  target 
)
virtual

Appends variable value to the target string.

This is a helper function used to resolve templated variables in the URI.

Parameters
[in]variable_nameThe name of the templated variable.
[in]configA pass-through parameter used for lists and maps.
[in,out]targetThe string to append the value to.

Reimplemented from google_fitness_api::FitnessServiceBaseRequest.

◆ clear_current_time_millis()

void google_fitness_api::UsersResource_SessionsResource_DeleteMethod::clear_current_time_millis ( )
inline

Clears the 'currentTimeMillis' attribute so it is no longer set.

◆ get_current_time_millis()

int64 google_fitness_api::UsersResource_SessionsResource_DeleteMethod::get_current_time_millis ( ) const
inline

Gets the optional 'currentTimeMillis' attribute.

If the value is not set then the default value will be returned.

◆ set_current_time_millis()

void google_fitness_api::UsersResource_SessionsResource_DeleteMethod::set_current_time_millis ( int64  value)
inline

Sets the 'currentTimeMillis' attribute.

Parameters
[in]valueThe client's current time in milliseconds since epoch.

The documentation for this class was generated from the following files: